<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>            
            <p><a href="{% url 'todo_list_create' %}">Create New List</a></p>
            <p><a href="{% url 'todo_item_create' %}">Create New Item</a></p>
            <table>
                <thead>
                    <tr>
                        <th>Name:</th>
                        <th>Number of Items: </th>
                    </tr>
                </thead>
                <tbody>
                    {% for list in todo_list %}
                        <tr>
                            <td>
                                <a href="{% url 'todo_list_detail' list.id %}">{{ list.name }}</a>
                            </td>
                            <td>{{ list.items.all|length}}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
    
</body>
</html>